Summary:        Tools for connecting joysticks & legacy devices to the kernel's input subsystem
Name:           linuxconsoletools
Version:        1.8.1
Release:        6%{?dist}
License:        GPLv2+
URL:            http://sourceforge.net/projects/linuxconsole/
Source:         http://downloads.sourceforge.net/linuxconsole/%{name}-%{version}.tar.bz2

BuildRequires:  gcc make
BuildRequires:  systemd-udev pkgconfig(sdl2)

Provides:       joystick = %{version}-%{release}
Provides:       ff-utils = 1:%{version}-%{release}


%description
This project maintains the Linux Console tools, which include utilities
to test and configure joysticks, connect legacy devices to the kernel's
input subsystem (providing support for serial mice, touchscreens etc.),
and test the input event layer.



%prep
%autosetup


%build
%make_build PREFIX=%{_prefix}

sed -i "s|%{_datadir}/joystick|%{_libexecdir}/joystick|g" utils/jscal-restore utils/jscal-store


%install
%make_install PREFIX=%{_prefix}

install -d -m 0755 %{buildroot}%{_libexecdir}/joystick
mv -f %{buildroot}%{_datadir}/joystick/* %{buildroot}%{_libexecdir}/joystick/
mv -f %{buildroot}/lib %{buildroot}/usr/

chmod -x %{buildroot}%{_mandir}/man1/*


%global udevdir %(pkg-config --variable=udevdir udev)

%files
%license COPYING
%doc README NEWS
%{_bindir}/ffcfstress
%{_bindir}/ffmvforce
%{_bindir}/ffset
%{_bindir}/fftest
%{_bindir}/inputattach
%{_bindir}/jscal
%{_bindir}/jscal-restore
%{_bindir}/jscal-store
%{_bindir}/jstest
%{_bindir}/evdev-joystick
%{_libexecdir}/joystick
%{udevdir}/js-set-enum-leds
%{_udevrulesdir}/80-stelladaptor-joystick.rules
%{_mandir}/man1/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.8.1-5
- Rebuilt for SDL2 2.28.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 03 2023 cunshunxia <cunshunxia@tencent.com> - 1.8.1-3
- add buildrequire sdl2.

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 15 2022 cunshunxia <cunshunxia@tencent.com> - 1.8.1-1
- initial build
